Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network84.252.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
84.252.0.0
Broadcast address
84.253.255.255
First usable
84.252.0.1
Last usable
84.253.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 54FC0000 · Integer 1425801216 to 1425932287
Reverse DNS zones
252.84.in-addr.arpa
253.84.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010100.11111100.00000000.0000000084.252.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network01010100.11111100.00000000.0000000084.252.0.0
Broadcast01010100.11111101.11111111.1111111184.253.255.255
Split into smaller subnets/23

84.252.0.0/15 makes 256 subnets of /23.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
184.252.0.0/2384.252.0.1 to 84.252.1.25484.252.1.255510
284.252.2.0/2384.252.2.1 to 84.252.3.25484.252.3.255510
384.252.4.0/2384.252.4.1 to 84.252.5.25484.252.5.255510
484.252.6.0/2384.252.6.1 to 84.252.7.25484.252.7.255510
584.252.8.0/2384.252.8.1 to 84.252.9.25484.252.9.255510
684.252.10.0/2384.252.10.1 to 84.252.11.25484.252.11.255510
784.252.12.0/2384.252.12.1 to 84.252.13.25484.252.13.255510
884.252.14.0/2384.252.14.1 to 84.252.15.25484.252.15.255510
984.252.16.0/2384.252.16.1 to 84.252.17.25484.252.17.255510
1084.252.18.0/2384.252.18.1 to 84.252.19.25484.252.19.255510
1184.252.20.0/2384.252.20.1 to 84.252.21.25484.252.21.255510
1284.252.22.0/2384.252.22.1 to 84.252.23.25484.252.23.255510
1384.252.24.0/2384.252.24.1 to 84.252.25.25484.252.25.255510
1484.252.26.0/2384.252.26.1 to 84.252.27.25484.252.27.255510
1584.252.28.0/2384.252.28.1 to 84.252.29.25484.252.29.255510
1684.252.30.0/2384.252.30.1 to 84.252.31.25484.252.31.255510
1784.252.32.0/2384.252.32.1 to 84.252.33.25484.252.33.255510
1884.252.34.0/2384.252.34.1 to 84.252.35.25484.252.35.255510
1984.252.36.0/2384.252.36.1 to 84.252.37.25484.252.37.255510
2084.252.38.0/2384.252.38.1 to 84.252.39.25484.252.39.255510
2184.252.40.0/2384.252.40.1 to 84.252.41.25484.252.41.255510
2284.252.42.0/2384.252.42.1 to 84.252.43.25484.252.43.255510
2384.252.44.0/2384.252.44.1 to 84.252.45.25484.252.45.255510
2484.252.46.0/2384.252.46.1 to 84.252.47.25484.252.47.255510
2584.252.48.0/2384.252.48.1 to 84.252.49.25484.252.49.255510
2684.252.50.0/2384.252.50.1 to 84.252.51.25484.252.51.255510
2784.252.52.0/2384.252.52.1 to 84.252.53.25484.252.53.255510
2884.252.54.0/2384.252.54.1 to 84.252.55.25484.252.55.255510
2984.252.56.0/2384.252.56.1 to 84.252.57.25484.252.57.255510
3084.252.58.0/2384.252.58.1 to 84.252.59.25484.252.59.255510
3184.252.60.0/2384.252.60.1 to 84.252.61.25484.252.61.255510
3284.252.62.0/2384.252.62.1 to 84.252.63.25484.252.63.255510
3384.252.64.0/2384.252.64.1 to 84.252.65.25484.252.65.255510
3484.252.66.0/2384.252.66.1 to 84.252.67.25484.252.67.255510
3584.252.68.0/2384.252.68.1 to 84.252.69.25484.252.69.255510
3684.252.70.0/2384.252.70.1 to 84.252.71.25484.252.71.255510
3784.252.72.0/2384.252.72.1 to 84.252.73.25484.252.73.255510
3884.252.74.0/2384.252.74.1 to 84.252.75.25484.252.75.255510
3984.252.76.0/2384.252.76.1 to 84.252.77.25484.252.77.255510
4084.252.78.0/2384.252.78.1 to 84.252.79.25484.252.79.255510
4184.252.80.0/2384.252.80.1 to 84.252.81.25484.252.81.255510
4284.252.82.0/2384.252.82.1 to 84.252.83.25484.252.83.255510
4384.252.84.0/2384.252.84.1 to 84.252.85.25484.252.85.255510
4484.252.86.0/2384.252.86.1 to 84.252.87.25484.252.87.255510
4584.252.88.0/2384.252.88.1 to 84.252.89.25484.252.89.255510
4684.252.90.0/2384.252.90.1 to 84.252.91.25484.252.91.255510
4784.252.92.0/2384.252.92.1 to 84.252.93.25484.252.93.255510
4884.252.94.0/2384.252.94.1 to 84.252.95.25484.252.95.255510
4984.252.96.0/2384.252.96.1 to 84.252.97.25484.252.97.255510
5084.252.98.0/2384.252.98.1 to 84.252.99.25484.252.99.255510
5184.252.100.0/2384.252.100.1 to 84.252.101.25484.252.101.255510
5284.252.102.0/2384.252.102.1 to 84.252.103.25484.252.103.255510
5384.252.104.0/2384.252.104.1 to 84.252.105.25484.252.105.255510
5484.252.106.0/2384.252.106.1 to 84.252.107.25484.252.107.255510
5584.252.108.0/2384.252.108.1 to 84.252.109.25484.252.109.255510
5684.252.110.0/2384.252.110.1 to 84.252.111.25484.252.111.255510
5784.252.112.0/2384.252.112.1 to 84.252.113.25484.252.113.255510
5884.252.114.0/2384.252.114.1 to 84.252.115.25484.252.115.255510
5984.252.116.0/2384.252.116.1 to 84.252.117.25484.252.117.255510
6084.252.118.0/2384.252.118.1 to 84.252.119.25484.252.119.255510
6184.252.120.0/2384.252.120.1 to 84.252.121.25484.252.121.255510
6284.252.122.0/2384.252.122.1 to 84.252.123.25484.252.123.255510
6384.252.124.0/2384.252.124.1 to 84.252.125.25484.252.125.255510
6484.252.126.0/2384.252.126.1 to 84.252.127.25484.252.127.255510
6584.252.128.0/2384.252.128.1 to 84.252.129.25484.252.129.255510
6684.252.130.0/2384.252.130.1 to 84.252.131.25484.252.131.255510
6784.252.132.0/2384.252.132.1 to 84.252.133.25484.252.133.255510
6884.252.134.0/2384.252.134.1 to 84.252.135.25484.252.135.255510
6984.252.136.0/2384.252.136.1 to 84.252.137.25484.252.137.255510
7084.252.138.0/2384.252.138.1 to 84.252.139.25484.252.139.255510
7184.252.140.0/2384.252.140.1 to 84.252.141.25484.252.141.255510
7284.252.142.0/2384.252.142.1 to 84.252.143.25484.252.143.255510
7384.252.144.0/2384.252.144.1 to 84.252.145.25484.252.145.255510
7484.252.146.0/2384.252.146.1 to 84.252.147.25484.252.147.255510
7584.252.148.0/2384.252.148.1 to 84.252.149.25484.252.149.255510
7684.252.150.0/2384.252.150.1 to 84.252.151.25484.252.151.255510
7784.252.152.0/2384.252.152.1 to 84.252.153.25484.252.153.255510
7884.252.154.0/2384.252.154.1 to 84.252.155.25484.252.155.255510
7984.252.156.0/2384.252.156.1 to 84.252.157.25484.252.157.255510
8084.252.158.0/2384.252.158.1 to 84.252.159.25484.252.159.255510
8184.252.160.0/2384.252.160.1 to 84.252.161.25484.252.161.255510
8284.252.162.0/2384.252.162.1 to 84.252.163.25484.252.163.255510
8384.252.164.0/2384.252.164.1 to 84.252.165.25484.252.165.255510
8484.252.166.0/2384.252.166.1 to 84.252.167.25484.252.167.255510
8584.252.168.0/2384.252.168.1 to 84.252.169.25484.252.169.255510
8684.252.170.0/2384.252.170.1 to 84.252.171.25484.252.171.255510
8784.252.172.0/2384.252.172.1 to 84.252.173.25484.252.173.255510
8884.252.174.0/2384.252.174.1 to 84.252.175.25484.252.175.255510
8984.252.176.0/2384.252.176.1 to 84.252.177.25484.252.177.255510
9084.252.178.0/2384.252.178.1 to 84.252.179.25484.252.179.255510
9184.252.180.0/2384.252.180.1 to 84.252.181.25484.252.181.255510
9284.252.182.0/2384.252.182.1 to 84.252.183.25484.252.183.255510
9384.252.184.0/2384.252.184.1 to 84.252.185.25484.252.185.255510
9484.252.186.0/2384.252.186.1 to 84.252.187.25484.252.187.255510
9584.252.188.0/2384.252.188.1 to 84.252.189.25484.252.189.255510
9684.252.190.0/2384.252.190.1 to 84.252.191.25484.252.191.255510
9784.252.192.0/2384.252.192.1 to 84.252.193.25484.252.193.255510
9884.252.194.0/2384.252.194.1 to 84.252.195.25484.252.195.255510
9984.252.196.0/2384.252.196.1 to 84.252.197.25484.252.197.255510
10084.252.198.0/2384.252.198.1 to 84.252.199.25484.252.199.255510
10184.252.200.0/2384.252.200.1 to 84.252.201.25484.252.201.255510
10284.252.202.0/2384.252.202.1 to 84.252.203.25484.252.203.255510
10384.252.204.0/2384.252.204.1 to 84.252.205.25484.252.205.255510
10484.252.206.0/2384.252.206.1 to 84.252.207.25484.252.207.255510
10584.252.208.0/2384.252.208.1 to 84.252.209.25484.252.209.255510
10684.252.210.0/2384.252.210.1 to 84.252.211.25484.252.211.255510
10784.252.212.0/2384.252.212.1 to 84.252.213.25484.252.213.255510
10884.252.214.0/2384.252.214.1 to 84.252.215.25484.252.215.255510
10984.252.216.0/2384.252.216.1 to 84.252.217.25484.252.217.255510
11084.252.218.0/2384.252.218.1 to 84.252.219.25484.252.219.255510
11184.252.220.0/2384.252.220.1 to 84.252.221.25484.252.221.255510
11284.252.222.0/2384.252.222.1 to 84.252.223.25484.252.223.255510
11384.252.224.0/2384.252.224.1 to 84.252.225.25484.252.225.255510
11484.252.226.0/2384.252.226.1 to 84.252.227.25484.252.227.255510
11584.252.228.0/2384.252.228.1 to 84.252.229.25484.252.229.255510
11684.252.230.0/2384.252.230.1 to 84.252.231.25484.252.231.255510
11784.252.232.0/2384.252.232.1 to 84.252.233.25484.252.233.255510
11884.252.234.0/2384.252.234.1 to 84.252.235.25484.252.235.255510
11984.252.236.0/2384.252.236.1 to 84.252.237.25484.252.237.255510
12084.252.238.0/2384.252.238.1 to 84.252.239.25484.252.239.255510
12184.252.240.0/2384.252.240.1 to 84.252.241.25484.252.241.255510
12284.252.242.0/2384.252.242.1 to 84.252.243.25484.252.243.255510
12384.252.244.0/2384.252.244.1 to 84.252.245.25484.252.245.255510
12484.252.246.0/2384.252.246.1 to 84.252.247.25484.252.247.255510
12584.252.248.0/2384.252.248.1 to 84.252.249.25484.252.249.255510
12684.252.250.0/2384.252.250.1 to 84.252.251.25484.252.251.255510
12784.252.252.0/2384.252.252.1 to 84.252.253.25484.252.253.255510
12884.252.254.0/2384.252.254.1 to 84.252.255.25484.252.255.255510
12984.253.0.0/2384.253.0.1 to 84.253.1.25484.253.1.255510
13084.253.2.0/2384.253.2.1 to 84.253.3.25484.253.3.255510
13184.253.4.0/2384.253.4.1 to 84.253.5.25484.253.5.255510
13284.253.6.0/2384.253.6.1 to 84.253.7.25484.253.7.255510
13384.253.8.0/2384.253.8.1 to 84.253.9.25484.253.9.255510
13484.253.10.0/2384.253.10.1 to 84.253.11.25484.253.11.255510
13584.253.12.0/2384.253.12.1 to 84.253.13.25484.253.13.255510
13684.253.14.0/2384.253.14.1 to 84.253.15.25484.253.15.255510
13784.253.16.0/2384.253.16.1 to 84.253.17.25484.253.17.255510
13884.253.18.0/2384.253.18.1 to 84.253.19.25484.253.19.255510
13984.253.20.0/2384.253.20.1 to 84.253.21.25484.253.21.255510
14084.253.22.0/2384.253.22.1 to 84.253.23.25484.253.23.255510
14184.253.24.0/2384.253.24.1 to 84.253.25.25484.253.25.255510
14284.253.26.0/2384.253.26.1 to 84.253.27.25484.253.27.255510
14384.253.28.0/2384.253.28.1 to 84.253.29.25484.253.29.255510
14484.253.30.0/2384.253.30.1 to 84.253.31.25484.253.31.255510
14584.253.32.0/2384.253.32.1 to 84.253.33.25484.253.33.255510
14684.253.34.0/2384.253.34.1 to 84.253.35.25484.253.35.255510
14784.253.36.0/2384.253.36.1 to 84.253.37.25484.253.37.255510
14884.253.38.0/2384.253.38.1 to 84.253.39.25484.253.39.255510
14984.253.40.0/2384.253.40.1 to 84.253.41.25484.253.41.255510
15084.253.42.0/2384.253.42.1 to 84.253.43.25484.253.43.255510
15184.253.44.0/2384.253.44.1 to 84.253.45.25484.253.45.255510
15284.253.46.0/2384.253.46.1 to 84.253.47.25484.253.47.255510
15384.253.48.0/2384.253.48.1 to 84.253.49.25484.253.49.255510
15484.253.50.0/2384.253.50.1 to 84.253.51.25484.253.51.255510
15584.253.52.0/2384.253.52.1 to 84.253.53.25484.253.53.255510
15684.253.54.0/2384.253.54.1 to 84.253.55.25484.253.55.255510
15784.253.56.0/2384.253.56.1 to 84.253.57.25484.253.57.255510
15884.253.58.0/2384.253.58.1 to 84.253.59.25484.253.59.255510
15984.253.60.0/2384.253.60.1 to 84.253.61.25484.253.61.255510
16084.253.62.0/2384.253.62.1 to 84.253.63.25484.253.63.255510
16184.253.64.0/2384.253.64.1 to 84.253.65.25484.253.65.255510
16284.253.66.0/2384.253.66.1 to 84.253.67.25484.253.67.255510
16384.253.68.0/2384.253.68.1 to 84.253.69.25484.253.69.255510
16484.253.70.0/2384.253.70.1 to 84.253.71.25484.253.71.255510
16584.253.72.0/2384.253.72.1 to 84.253.73.25484.253.73.255510
16684.253.74.0/2384.253.74.1 to 84.253.75.25484.253.75.255510
16784.253.76.0/2384.253.76.1 to 84.253.77.25484.253.77.255510
16884.253.78.0/2384.253.78.1 to 84.253.79.25484.253.79.255510
16984.253.80.0/2384.253.80.1 to 84.253.81.25484.253.81.255510
17084.253.82.0/2384.253.82.1 to 84.253.83.25484.253.83.255510
17184.253.84.0/2384.253.84.1 to 84.253.85.25484.253.85.255510
17284.253.86.0/2384.253.86.1 to 84.253.87.25484.253.87.255510
17384.253.88.0/2384.253.88.1 to 84.253.89.25484.253.89.255510
17484.253.90.0/2384.253.90.1 to 84.253.91.25484.253.91.255510
17584.253.92.0/2384.253.92.1 to 84.253.93.25484.253.93.255510
17684.253.94.0/2384.253.94.1 to 84.253.95.25484.253.95.255510
17784.253.96.0/2384.253.96.1 to 84.253.97.25484.253.97.255510
17884.253.98.0/2384.253.98.1 to 84.253.99.25484.253.99.255510
17984.253.100.0/2384.253.100.1 to 84.253.101.25484.253.101.255510
18084.253.102.0/2384.253.102.1 to 84.253.103.25484.253.103.255510
18184.253.104.0/2384.253.104.1 to 84.253.105.25484.253.105.255510
18284.253.106.0/2384.253.106.1 to 84.253.107.25484.253.107.255510
18384.253.108.0/2384.253.108.1 to 84.253.109.25484.253.109.255510
18484.253.110.0/2384.253.110.1 to 84.253.111.25484.253.111.255510
18584.253.112.0/2384.253.112.1 to 84.253.113.25484.253.113.255510
18684.253.114.0/2384.253.114.1 to 84.253.115.25484.253.115.255510
18784.253.116.0/2384.253.116.1 to 84.253.117.25484.253.117.255510
18884.253.118.0/2384.253.118.1 to 84.253.119.25484.253.119.255510
18984.253.120.0/2384.253.120.1 to 84.253.121.25484.253.121.255510
19084.253.122.0/2384.253.122.1 to 84.253.123.25484.253.123.255510
19184.253.124.0/2384.253.124.1 to 84.253.125.25484.253.125.255510
19284.253.126.0/2384.253.126.1 to 84.253.127.25484.253.127.255510
19384.253.128.0/2384.253.128.1 to 84.253.129.25484.253.129.255510
19484.253.130.0/2384.253.130.1 to 84.253.131.25484.253.131.255510
19584.253.132.0/2384.253.132.1 to 84.253.133.25484.253.133.255510
19684.253.134.0/2384.253.134.1 to 84.253.135.25484.253.135.255510
19784.253.136.0/2384.253.136.1 to 84.253.137.25484.253.137.255510
19884.253.138.0/2384.253.138.1 to 84.253.139.25484.253.139.255510
19984.253.140.0/2384.253.140.1 to 84.253.141.25484.253.141.255510
20084.253.142.0/2384.253.142.1 to 84.253.143.25484.253.143.255510
20184.253.144.0/2384.253.144.1 to 84.253.145.25484.253.145.255510
20284.253.146.0/2384.253.146.1 to 84.253.147.25484.253.147.255510
20384.253.148.0/2384.253.148.1 to 84.253.149.25484.253.149.255510
20484.253.150.0/2384.253.150.1 to 84.253.151.25484.253.151.255510
20584.253.152.0/2384.253.152.1 to 84.253.153.25484.253.153.255510
20684.253.154.0/2384.253.154.1 to 84.253.155.25484.253.155.255510
20784.253.156.0/2384.253.156.1 to 84.253.157.25484.253.157.255510
20884.253.158.0/2384.253.158.1 to 84.253.159.25484.253.159.255510
20984.253.160.0/2384.253.160.1 to 84.253.161.25484.253.161.255510
21084.253.162.0/2384.253.162.1 to 84.253.163.25484.253.163.255510
21184.253.164.0/2384.253.164.1 to 84.253.165.25484.253.165.255510
21284.253.166.0/2384.253.166.1 to 84.253.167.25484.253.167.255510
21384.253.168.0/2384.253.168.1 to 84.253.169.25484.253.169.255510
21484.253.170.0/2384.253.170.1 to 84.253.171.25484.253.171.255510
21584.253.172.0/2384.253.172.1 to 84.253.173.25484.253.173.255510
21684.253.174.0/2384.253.174.1 to 84.253.175.25484.253.175.255510
21784.253.176.0/2384.253.176.1 to 84.253.177.25484.253.177.255510
21884.253.178.0/2384.253.178.1 to 84.253.179.25484.253.179.255510
21984.253.180.0/2384.253.180.1 to 84.253.181.25484.253.181.255510
22084.253.182.0/2384.253.182.1 to 84.253.183.25484.253.183.255510
22184.253.184.0/2384.253.184.1 to 84.253.185.25484.253.185.255510
22284.253.186.0/2384.253.186.1 to 84.253.187.25484.253.187.255510
22384.253.188.0/2384.253.188.1 to 84.253.189.25484.253.189.255510
22484.253.190.0/2384.253.190.1 to 84.253.191.25484.253.191.255510
22584.253.192.0/2384.253.192.1 to 84.253.193.25484.253.193.255510
22684.253.194.0/2384.253.194.1 to 84.253.195.25484.253.195.255510
22784.253.196.0/2384.253.196.1 to 84.253.197.25484.253.197.255510
22884.253.198.0/2384.253.198.1 to 84.253.199.25484.253.199.255510
22984.253.200.0/2384.253.200.1 to 84.253.201.25484.253.201.255510
23084.253.202.0/2384.253.202.1 to 84.253.203.25484.253.203.255510
23184.253.204.0/2384.253.204.1 to 84.253.205.25484.253.205.255510
23284.253.206.0/2384.253.206.1 to 84.253.207.25484.253.207.255510
23384.253.208.0/2384.253.208.1 to 84.253.209.25484.253.209.255510
23484.253.210.0/2384.253.210.1 to 84.253.211.25484.253.211.255510
23584.253.212.0/2384.253.212.1 to 84.253.213.25484.253.213.255510
23684.253.214.0/2384.253.214.1 to 84.253.215.25484.253.215.255510
23784.253.216.0/2384.253.216.1 to 84.253.217.25484.253.217.255510
23884.253.218.0/2384.253.218.1 to 84.253.219.25484.253.219.255510
23984.253.220.0/2384.253.220.1 to 84.253.221.25484.253.221.255510
24084.253.222.0/2384.253.222.1 to 84.253.223.25484.253.223.255510
24184.253.224.0/2384.253.224.1 to 84.253.225.25484.253.225.255510
24284.253.226.0/2384.253.226.1 to 84.253.227.25484.253.227.255510
24384.253.228.0/2384.253.228.1 to 84.253.229.25484.253.229.255510
24484.253.230.0/2384.253.230.1 to 84.253.231.25484.253.231.255510
24584.253.232.0/2384.253.232.1 to 84.253.233.25484.253.233.255510
24684.253.234.0/2384.253.234.1 to 84.253.235.25484.253.235.255510
24784.253.236.0/2384.253.236.1 to 84.253.237.25484.253.237.255510
24884.253.238.0/2384.253.238.1 to 84.253.239.25484.253.239.255510
24984.253.240.0/2384.253.240.1 to 84.253.241.25484.253.241.255510
25084.253.242.0/2384.253.242.1 to 84.253.243.25484.253.243.255510
25184.253.244.0/2384.253.244.1 to 84.253.245.25484.253.245.255510
25284.253.246.0/2384.253.246.1 to 84.253.247.25484.253.247.255510
25384.253.248.0/2384.253.248.1 to 84.253.249.25484.253.249.255510
25484.253.250.0/2384.253.250.1 to 84.253.251.25484.253.251.255510
25584.253.252.0/2384.253.252.1 to 84.253.253.25484.253.253.255510
25684.253.254.0/2384.253.254.1 to 84.253.255.25484.253.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses